Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.net.imap
Enum IMAPClient.STATUS_DATA_ITEMS

    java.lang.Object
      java.lang.Enum<IMAPClient.STATUS_DATA_ITEMS>
          org.apache.commons.net.imap.IMAPClient.STATUS_DATA_ITEMS

All Implemented Interfaces:
  Serializable, Comparable<IMAPClient.STATUS_DATA_ITEMS>

Enclosing class:
  IMAPClient

    public static enum IMAPClient.STATUS_DATA_ITEMS

extends Enum<IMAPClient.STATUS_DATA_ITEMS>

The status data items defined in RFC 3501.

Enum Constant Summary
`MESSAGES` The number of messages in the mailbox.
`RECENT` The number of messages with the \Recent flag set.
`UIDNEXT` The next unique identifier value of the mailbox.
`UIDVALIDITY` The unique identifier validity value of the mailbox.
`UNSEEN` The number of messages which do not have the \Seen flag set.

Method Summary
`static IMAPClient.STATUS_DATA_ITEMS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IMAPClient.STATUS_DATA_ITEMS[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGES

    public static final IMAPClient.STATUS_DATA_ITEMS MESSAGES

  The number of messages in the mailbox.

### RECENT

    public static final IMAPClient.STATUS_DATA_ITEMS RECENT

  The number of messages with the \Recent flag set.

### UIDNEXT

    public static final IMAPClient.STATUS_DATA_ITEMS UIDNEXT

  The next unique identifier value of the mailbox.

### UIDVALIDITY

    public static final IMAPClient.STATUS_DATA_ITEMS UIDVALIDITY

  The unique identifier validity value of the mailbox.

### UNSEEN

    public static final IMAPClient.STATUS_DATA_ITEMS UNSEEN

  The number of messages which do not have the \Seen flag set.

Method Detail

### values

    public static final IMAPClient.STATUS_DATA_ITEMS[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IMAPClient.STATUS_DATA_ITEMS c : IMAPClient.STATUS_DATA_ITEMS.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IMAPClient.STATUS_DATA_ITEMS valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.